org.apache.commons.compress.harmony.unpack200.bytecode

## Class ClassConstantPool

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.ClassConstantPool

-     public class ClassConstantPool
      extends Object

  The Class constant pool

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HashSet<ClassFileEntry>` | `entriesContainsSet`
    `protected Map<ClassFileEntry,Integer>` | `indexCache`
    `protected HashSet<ClassFileEntry>` | `othersContainsSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassConstantPool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassFileEntry` | `add(ClassFileEntry entry)`
    `void` | `addNestedEntries()`
    `ClassFileEntry` | `addWithNestedEntries(ClassFileEntry entry)`
    `List<ClassFileEntry>` | `entries()`
    `ClassFileEntry` | `get(int i)`
    `int` | `indexOf(ClassFileEntry entry)`
    `void` | `resolve(Segment segment)`
    `int` | `size()`
    `protected void` | `sortClassPool()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entriesContainsSet

          protected HashSet<ClassFileEntry> entriesContainsSet

    - #### othersContainsSet

          protected HashSet<ClassFileEntry> othersContainsSet

    - #### indexCache

          protected Map<ClassFileEntry,Integer> indexCache

  - ### Constructor Detail

    - #### ClassConstantPool

          public ClassConstantPool()

  - ### Method Detail

    - #### add

          public ClassFileEntry add(ClassFileEntry entry)

    - #### addNestedEntries

          public void addNestedEntries()

    - #### addWithNestedEntries

          public ClassFileEntry addWithNestedEntries(ClassFileEntry entry)

    - #### entries

          public List<ClassFileEntry> entries()

    - #### get

          public ClassFileEntry get(int i)

    - #### indexOf

          public int indexOf(ClassFileEntry entry)

    - #### resolve

          public void resolve(Segment segment)

    - #### size

          public int size()

    - #### sortClassPool

          protected void sortClassPool()

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.